#!/usr/bin/perl

use strict;
use Irssi;

use vars qw($VERSION %IRSSI);

$VERSION = "0.23";
%IRSSI = (
	authors		=> 'Apic',
	contact		=> 'Apic@IRCnet',
	name		=> 'Mute',
	description	=> 'Script to mute own Messages to a certain Target (for Governing Your Self and keeping Composure in Emergencies (e.g. Hypomania))',
	license		=> 'public domina', #no typo
	url		=> 'http://irssi.apic.name/MuteTarget.pl',
);

Irssi::theme_register(['mute', "\02\03" . "0,6(muted)\03\02 {pubmsgnick \$2} \$3-"]);

our $mutetarget = "";

sub event_send_text {
        my ($line, $srv, $witem) = @_;

        if(Irssi::settings_get_str("mutetarget") ne "" && $witem->{name} eq Irssi::settings_get_str("mutetarget")) {
                $srv->printformat($witem->{name}, MSGLEVEL_PUBLIC, "mute", "", "", $witem->{name});
                Irssi::signal_stop();
        }
}

Irssi::signal_add('send text', \&event_send_text);
Irssi::settings_add_str("misc", "mutetarget", "")

